Summary:        Internationalized Domain Names in Applications (IDNA)
Name:           python-idna
Version:        3.7
Release:        1%{?dist}
License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        https://pypi.io/packages/source/i/idna/idna-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3dist(pytest)

%description
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%package -n python3-idna
Summary:        Internationalized Domain Names in Applications (IDNA)
Provides:       python3-idna

%description -n python3-idna
A library to support the Internationalised Domain Names in Applications (IDNA)
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This
version of the protocol is often referred to as "IDNA2008" and can produce
different results from the earlier standard from 2003.

The library is also intended to act as a suitable drop-in replacement for the
"encodings.idna" module that comes with the Python standard library but
currently only supports the older 2003 specification.

%prep
%autosetup -p1 -n idna-%{version}
# Remove bundled egg-info
rm -rf idna.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files idna

%check
%pytest


%files -n python3-idna -f %{pyproject_files}
%license LICENSE.md
%doc README.rst HISTORY.rst

%changelog
* Tue May 7 2024 Jiaxin Yang <jiaxinyyang@tencent.com> - 3.7-1
- upgrade to 3.7
- fix CVE-2024-3651

* Tue Sep 26 2023 jackeyji <jackeyji@tencent.com> - 3.4-1
- upgrade to 3.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri May 20 2022 edwinhei <edwinhei@tencent.com> - 3.3-1
- Initial build
